#include "ErrorHandler.h"


ostream& operator<<(ostream&  os, const ErrorHandler& e)
{
	return os << e.message();
}

ostream& operator<<(ofstream& os, const ErrorHandler& e)
{
	return os << e.message();
}



/*
*
*     Implementation(s) of concrete class(es)
*
*/

string ErrorMetData_scan::message() const
{
	string msg = "";
	msg += "+DIAGNOSTIC\n";
	msg += " - Operation failed during opening file " + str + ".\n";
	msg += "+RESULTS\n";
	msg += " - Severe error occurs in program MetData::scan. Process aborted.\n";
	msg += "+SUGGESTIONS\n";
	msg += " - This error may be caused by the incorrect file format.\n";
	msg += " - Please follow the user's manual instruction and correct to the appropriate format.\n";
	msg += "+BUG REPORTS\n";
	msg += " - e-mail : ono@jemai.or.jp\n\n";

	return msg;
}

string ErrorMetData_scan_dl::message() const
{
	char buffer[50]; _gcvt(dyl, 8, buffer); string str_dyl = buffer;


	string msg = "";
	msg += "+DIAGNOSTIC\n";
	msg += " - Operation failed during opening file " + str + ".\n";
	msg += "+RESULTS\n";
	msg += " - Severe error occurs in program MetData::scan. Process aborted.\n";
	msg += "+SUGGESTIONS\n";
	msg += " - This error will be issued when the daylight value is assigned to x such that 1 < x <= 10.\n";
	msg += " - The daylight should be non-negative value less than 1 but software found " + str_dyl + ".\n";
	msg += " - Please follow the user's manual instruction and correct to the appropriate format.\n";
	msg += " - ACHTUNG!!!\n";
	msg += " -   The daylight unit used in the software has been up to dated.\n";
	msg += " -   In the versions before 2.00 the daylight changes from 0 to 10 but now from 0 to 1.\n";
	msg += " -   Sorry for incovinience but you should convert the old user-defined input daylight values\n";
	msg += " -   when using the updated software. (2004/02/10)\n";
	msg += "+BUG REPORTS\n";
	msg += " - e-mail : ono@jemai.or.jp\n\n";

	return msg;
}

string ErrorTimeCode_scan::message() const
{
	string msg = "";
	msg += "+DIAGNOSTIC\n";
	msg += " - Operation failed during opening file " + str + ".\n";
	msg += "+RESULTS\n";
	msg += " - Severe error occurs in program TimeCode::scan. Process aborted.\n";
	msg += "+SUGGESTIONS\n";
	msg += " - This error may be caused by the incorrect file format.\n";
	msg += " - Please follow the user's manual instruction and correct to the appropriate format.\n";
	msg += "+BUG REPORTS\n";
	msg += " - e-mail : ono@jemai.or.jp\n\n";

	return msg;
}
