#ifndef TIME_CODE_H
#define TIME_CODE_H

#include "common.h"
#include "FileFactory.h"
#include "kalendar.h"

class TimeCode : public FileManager
{
	int year [4];
	int month[4];
	int day  [4];
	int hour [4];
	
	int jul  [4];
	int hrs  [4];
	
	int yr;
	int mn;
	int dy;
	int hr;
	
	int nr_dy_codes;
	int nr_hr_codes;
	
	Kalendar* kal;
public:
	TimeCode()
	{
		kal = new Kalendar();
		setIsFile(FileList::fnTimeCode(FileList::IS, 1));
		setOsFile(FileList::fnTimeCode(FileList::OS, 1));
	}
	
	void setTime(int  yr_, int  mn_, int  dy_, int  hr_){yr = yr_; mn = mn_; dy = dy_; hr = hr_;}
	void getTime(int& yr_, int& mn_, int& dy_, int& hr_) const {yr_ = yr; mn_ = mn; dy_ = dy; hr_ = hr;}
	virtual int getDailyCode() const;
	virtual int getHourlyCode () const;
	virtual int getMaxDailyCodes () const {return nr_dy_codes;}
	virtual int getMaxHourlyCodes() const {return nr_hr_codes;}
	
	void virtual scan ();
	void virtual print();
	void virtual lists();
	
	virtual ~TimeCode(){delete kal;}
};

#endif
