#ifndef PASQUILL_GIFFORD_H
#define PASQUILL_GIFFORD_H

#include "sgm.h"

class PasquillGifford : public Sgm
{
	double  ceil_dist;
	double  setCeilDist(double ceil_dist_){ceil_dist = ceil_dist_; return ceil_dist;}
protected:
	virtual void getPrm_z(double& a, double& b, double km);
	virtual void getPrm_y(double& c, double& d);
	virtual void getPrm_sySolve(double& p, double& q);
public:
	PasquillGifford(){}
	virtual double z(double x);
	virtual double y(double x);
	virtual double l(double ws) const {return 0;}
	virtual void szSolve(double& sol, double rhs);
	virtual void sySolve(double& sol, double rhs);

	virtual void getTurners(double& alp, double& gam);

	virtual void scan (){}
	virtual void print() const {}
	virtual void lists() const {}

	virtual ~PasquillGifford(){}
};

#endif