#ifndef PAT_H
#define PAT_H

#include "met.h"
#include "../share/SimpleIterator.h"
#include "../share/FileFactory.h"

class Pat : public SimpleIterator, public FileManager
{
	ifstream is;
protected:
	double*  pt;
public:
	Pat()
	{
		setIsFile(FileList::fnPat(FileList::IS, 1));
		setOsFile(FileList::fnPat(FileList::OS, 1));
	}
	~Pat();
	void setPat(double  pt_);
	void getPat(double& pt_) const;
	virtual void redim(int n);
	virtual void open ();
	virtual void close();
	virtual void scan ();
	virtual void print();
	virtual void lists(string cls, int  cas);
	virtual void lists(string cls, Met* met);
	virtual void advance();
	virtual void reverse();
};

#endif
