#ifndef SGM_H
#define SGM_H

class Sgm
{
	double dilution;
protected:
	int st;
public:
	virtual void setStability(int st_){st = st_;}
	virtual int  getStability() const {return st;}
	virtual double l(double ws) const = 0;
	virtual double y(double x) = 0;
	virtual double z(double x) = 0;
	virtual void sySolve(double& sol, double rhs) = 0;
	virtual void szSolve(double& sol, double rhs) = 0;

	virtual bool validated() const {return true;}
	virtual void resetValidationFlags(){}
	virtual void setEF(int _ef__){}

	virtual void getTurners(double& alp, double& gam) = 0;

	virtual void scan () = 0;
	virtual void print() const = 0;
	virtual void lists() const = 0;

	void setDilutionFactor(double dilution_){dilution = dilution_;}
	double getDilutionFactor() const {return dilution;}

	virtual ~Sgm(){}
};

#endif
