#ifndef LINE_SRC_H
#define LINE_SRC_H

#include "src.h"
#include "link.h"

class LineSrc : public Src
{
	Link*   lnk;
	double* emi;
public:
	LineSrc()
	{
		setIsFile(FileList::fnLineSrc(FileList::IS, 1));
		setOsFile(FileList::fnLineSrc(FileList::OS, 1));
	}
	virtual double getLineSrc(Link& lnk_, double& emi_) const;
	virtual void redim(int n);
	virtual void scan ();
	virtual void print();
	virtual void lists();
	virtual void advance();
	virtual void reverse();
	virtual ~LineSrc();
};

#endif
