#ifndef MET_TIME_SERIES_H
#define MET_TIME_SERIES_H

#include "met.h"

class MetTimeSeries : public Met
{
	int* yr;
	int* mn;
	int* dy;
	int* hr;
public:
	MetTimeSeries()
	{
		setIsFile(FileList::fnMetTimeSeries(FileList::IS, 1));
		setOsFile(FileList::fnMetTimeSeries(FileList::OS, 1));
	}
	virtual ~MetTimeSeries();
	void redim(int n);
	virtual void setTime(int  yr_, int  mn_, int  dy_, int  hr_);
	virtual void getTime(int& yr_, int& mn_, int& dy_, int& hr_) const;
	virtual void scan ();
	virtual void print();
	virtual void lists();
	virtual void advance();
	virtual void reverse();
};

#endif
