#ifndef METI_LIS_POINT_DROPLET_SRC_SIMULATOR_H
#define METI_LIS_POINT_DROPLET_SRC_SIMULATOR_H

#include "PointDropletSrcSimulator.h"

class MetiLisPointDropletSrcSimulator : public PointDropletSrcSimulator
{
	int pwa;
protected:
	double _DX_;
	double _DY_;
protected:
	void   setDX(double _DX__){_DX_ = _DX__;}
	double getDX() const {return _DX_;}
	void   setDY(double _DY__){_DY_ = _DY__;}
	double getDY() const {return _DY_;}

	void setAxis(int pwa_){pwa = pwa_;}
	int  getAxis() const  {return pwa;}

	virtual void   evaluateDhAtStackPosition(double ws_modified_with_power_law);
	virtual double gepStackHeight(double hbl, double wb2) const {return hbl + 1.5*min(hbl, wb2);}
	virtual double wsMltfactor() const;
	virtual int    assembleSimulationProperties(bool new_met, bool new_src);
public:
	MetiLisPointDropletSrcSimulator(){}
	virtual void scan ();
	virtual ~MetiLisPointDropletSrcSimulator(){}
};

#endif