#include "ring.h"

Ring::Ring()
{
	ide = 0;
	des = "";
	ctr = Vector3d::ZERO;
	dia = 0;
	hhh = 0;
}

void Ring::setRing(int  ide_, Vector3d  ctr_, double  dia_, double  hhh_, string  des_)
{
	ML_TRACE("Ring::setRing");

	ide = ide_;
	ctr = ctr_;
	dia = dia_;
	hhh = hhh_;
	des = des_;
}

void Ring::getRing(int& ide_, Vector3d& ctr_, double& dia_, double& hhh_, string& des_) const
{
	ML_TRACE("Ring::getRing");

	ide_ = ide;
	ctr_ = ctr;
	dia_ = dia;
	hhh_ = hhh;
	des_ = des;
}

void Ring::scan(ifstream& is)
{
	ML_TRACE("Ring::scan");

	is >> ide;
	is.ignore(NO_OF_CHARS_PER_ONE_LINE, ',');
	is >> ctr.X();
	is.ignore(NO_OF_CHARS_PER_ONE_LINE, ',');
	is >> ctr.Y();
	is.ignore(NO_OF_CHARS_PER_ONE_LINE, ',');
	is >> ctr.Z();
	is.ignore(NO_OF_CHARS_PER_ONE_LINE, ',');
	is >> dia;
	is.ignore(NO_OF_CHARS_PER_ONE_LINE, ',');
	is >> hhh;
	is.ignore(NO_OF_CHARS_PER_ONE_LINE, ',');
	is >> des;
}

void Ring::print(ofstream& os)
{
	ML_TRACE("Ring::print");

	os << setw(COLUMN) << ide << ',' << setw(COLUMN) << ctr.X() << ',' << setw(COLUMN) << ctr.Y() << ',' << setw(COLUMN) << ctr.Z() << ',' << setw(COLUMN) << dia << ',' << setw(COLUMN) << hhh << ',' << setw(COLUMN) << des;
}

void Ring::lists()
{
	ML_TRACE("Ring::lists");

	CLST << setw(COLUMN) << ide << setw(COLUMN) << ctr.X() << setw(COLUMN) << ctr.Y() << setw(COLUMN) << ctr.Z() << setw(COLUMN) << dia << setw(COLUMN) << hhh << setw(COLUMN) << des;
}
